<div class="container">
    <app-in-page-alerts></app-in-page-alerts>
    
    <div class="books-list-page">
        <div class="home-book-list-heading-section">
            <div class="row">
                <div class="col-md-6 col-sm-12 col-12">
                    <h6 class="home-book-title"><span><a href="libraries">All Libraries</a> &gt;&gt; <span
                                id="span_library_name"></span></span></h6>
                </div>
                <div class="col-md-2 col-sm-12 col-12">
                    <a href="annotator/iiif-importer?library_id={{currentLibraryId}}">
                        <div class="add-book-icon-holder">
                            <img src="assets/iiif.png" class="add-book-icon">
                            <span>IIIF import</span>
                        </div>
                    </a>
                </div>
                <div class="col-md-2 col-sm-12 col-12">
                    <a href="annotator/add-book?library_id={{currentLibraryId}}&name={{currentLibraryName}}">
                        <div class="add-book-icon-holder">
                            <img src="assets/add-book.png" class="add-book-icon">
                            <span>Add Books</span>
                        </div>
                    </a>
                </div><div class="col-md-2 col-sm-12 col-12">
                    <a href="annotator/add-textdoc?library_id={{currentLibraryId}}&name={{currentLibraryName}}">
                        <div class="add-book-icon-holder">
                            <img src="assets/textdoc-edit.svg" class="add-book-icon">
                            <span>Add TextDoc</span>
                        </div>
                    </a>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-12">
                <div class="search-container">
                    <input type="text" id="input-search-book-by-title" placeholder="Search by Title " name="search"
                        (keyup.enter)="searchBooksByTitle()">
                    <span id="clear-icon" (click)="hideCloseButton()"><i class="fa fa-times"
                            aria-hidden="true"></i></span>
                    <button type="submit" (click)="searchBooksByTitle()"><i class="fa fa-search"></i></button>
                </div>
            </div>
            <span id="span-no-books-present-text" style="display: none;">No books found.</span>
            <span id="span-no-books-present-text-search" style="display: none;">There are no books matching the search
                string provided.Clear the search filter.</span>
            <div class="col-lg-4 col-md-6 col-sm-12 col-12" *ngFor="let index of bookStoreData;let idx=index"
                id="books-list-item-{{index.book_id}}">
                <div class="book-details-card" data-toggle="tooltip" data-placement="top"
                    title="{{index.Name}}&#013;{{index.authorName}}">
                    <div class="row">
                        <div class="book-image-holder">
                            <img class="home-book-img" src="{{index.img}}">
                            <div class="edit-icon-holder">
                                <a href="annotator/edit-book?book_id={{index.book_id}}&library_id={{currentLibraryId}}&name={{currentLibraryName}}"
                                    class="edit-book-icon">
                                    <img class="book-list-edit-icon " id="edit-icon"
                                        src="assets/book_list_edit_icon.png">
                                </a>
                                <img class="book-list-about-us-icon " id="about-us-icon"
                                    src="assets/book-list-info-icon.png">
                                <img (click)="onDeleteButtonClicked(index)" class="book-list-delete-icon " id="delete-icon"
                                    src="assets/book_list_delete_icon.png">
                            </div>
                        </div>
                        <div class="book-info-holder">
                            <a href="{{appUrl(index)}}" target="_blank">
                                <h5 class="book-title" ngxEllipsis [lines]="3">{{index.Name}}</h5>
                            </a>
                            <p class="author-name" ngxEllipsis [lines]="2">{{index.authorName}}</p>
                        </div>
                        <div class="view-more-button-holder">
                            <a href="{{(index.jsonClass == 'ScannedBook' ? 'object' : 'object') +'/' + index.book_id}}" target="_blank">
                                <button>View Details</button>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div id="home-books-load-more-btn-wrapper">
                <button class="new-book-list-load-more-btn" (click)="getLoadMoreBooks()">Load More</button>
            </div>
            <div id="loadding-gif-icon">
                <span><img src="assets/loader.gif" class="new-book-list-loading-gif-img">Fetching books ...
                </span>
            </div>
        </div>
    </div>
    <ngx-spinner bdColor="rgba(51, 51, 51, 0.8)" size="large" color="#fff" type="timer">
    </ngx-spinner>
</div>
